export declare class ComponentParser {
    private parentIndices;
    private complexProperties;
    private unsupportedPlatformTagCount;
    private moduleDirPath;
    private moduleRelativePath;
    private head;
    private body;
    private platform;
    private treeIndex;
    constructor(moduleRelativePath: string, platform: string);
    handleOpenTag(elementName: string, prefix: string, attributes: any): void;
    handleCloseTag(elementName: string): void;
    finish(): void;
    getOutput(): string;
    private appendImports;
    private applyComponentAttributes;
    private buildComponent;
    private checkForNamespaces;
    private generateHelperFunctions;
    private getResolvePath;
    private addToComplexProperty;
    private getComplexPropertyName;
    private isComplexProperty;
}
